Bug 1120317 - [RFE]Allow passing show_image_direct to glance::api
Summary: [RFE]Allow passing show_image_direct to glance::api
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z5
: 5.0 (RHEL 7)
Assignee: Chris Dearborn
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks: 1120321 1120322 1163445
TreeView+ depends on / blocked
 
Reported: 2014-07-16 17:47 UTC by Chris Dearborn
Modified: 2016-04-26 16:06 UTC (History)
12 users (show)

Fixed In Version: openstack-packstack-2014.1.1-0.46.dev1280.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-27 17:41:07 UTC


Attachments (Terms of Use)

Description Chris Dearborn 2014-07-16 17:47:30 UTC
Description of problem:
When Glance is configured to use rbd as a backend, Ceph requires show_image_direct_url to be set to True to allow copy-on-write clone of an image.
See: http://ceph.com/docs/next/rbd/rbd-openstack/

This bug is to modify glance::api in stackforge/puppet-openstack so that it allows passing in show_image_direct_url.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Chris Dearborn 2014-07-16 17:54:39 UTC
Taken from http://ceph.com/docs/next/rbd/rbd-openstack/:
Note that this exposes the back end location via Glance’s API, so the endpoint with this option enabled should not be publicly accessible

Comment 3 Crag Wolfe 2014-08-05 20:32:01 UTC
Included in patch: https://github.com/redhat-openstack/astapor/pull/327/files .

Comment 4 Ivan Chavero 2014-08-12 23:08:25 UTC
i see that the fix is done in astapor should the component be changed to it?

Comment 5 Chris Dearborn 2014-08-13 14:20:35 UTC
Hey Ivan,

no, I believe the component is correct.  This bug was to track the work in the stackforge/puppet-cinder repo to allow passing in the show_image_direct_url flag, which is why the component is set the way it is.  I just checked, and that work has actually already been done, so I think this bug could be bumped ahead in the process - not sure what the appropriate state is to move it to.

This BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1120321 was for the work in astapor to set show_image_direct_url to true and pass it to the stackforge/puppet-cinder class when the backend type is rbd, and as you point out, this work has also been completed, so this bug too could be bumped ahead in the process.

Comment 6 Martin Magr 2014-09-12 12:07:04 UTC
Setting correct status


Note You need to log in before you can comment on or make changes to this bug.